//
//  MYXMLReader.h
//  OnFlAppFoundation
//
//  Created by Ondrej Florian on 03/01/2011.
//  Copyright 2011 OnFlApp. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSDictionary (NSDictionary_MYXMLExtensions)

+ (id)dictionaryWithXMLData:(NSData *)inData error:(NSError **)outError;
+ (id)dictionaryWithXMLData:(NSData *)inData;

@end

@interface MYXMLReader : NSObject {
	NSMutableArray *dictionaryStack;
	NSMutableString *textInProgress;
	NSError **errorPointer;
}
- (id)initWithError:(NSError **)error;
- (NSDictionary *)objectWithData:(NSData *)data;
+ (NSDictionary *)dictionaryWithXMLData:(NSData *)data error:(NSError **)errorPointer;
+ (NSDictionary *)dictionaryWithXMLString:(NSString *)string error:(NSError **)errorPointer;

@end

